using System.ComponentModel;
using Volo.Abp.DependencyInjection;
using Yi.Framework.AiHub.Domain.Shared.Attributes;

namespace Yi.Framework.AiHub.Domain.Mcp;

[YiAgentTool]
public class DateTimeTool:ISingletonDependency
{
    [YiAgentTool("时间"), DisplayName("DateTime"), Description("获取当前日期与时间")]
    public DateTime DateTime()
    {
        return System.DateTime.Now;
    }
}